﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PowerUpSpeed : MonoBehaviour {

	private float activeTime;
	private float time;
	private bool countdown;
	private bool gogo;
	private bool speed;
	private Rigidbody2D rb;
	private GameObject player;
	public WalkScript script;
	private SpriteRenderer starSprite;



	void Start(){
		activeTime = 5;
		countdown = false;
		gogo = false;
		player = GameObject.Find ("Player");
		rb = player.GetComponent<Rigidbody2D>();
		script = GameObject.Find ("Player").GetComponent<WalkScript>();
		starSprite = this.GetComponent<SpriteRenderer>();
	}

	void Update(){
		
		if (countdown == true) {
			time -= Time.deltaTime; 
		}
		if (time <= 0 && gogo == true) {
			countdown = false;
			speed = false;
			script.moveSpeed = 6;
			activeTime = 5;
			gogo = false;
		}
		if (speed == true) {
			
			script.moveSpeed = 8;
			//rb.velocity = new Vector2(3 , 0);
			
		}
	}

	// Use this for initialization
	void OnTriggerEnter2D(Collider2D col)
	{
		if (col.tag == "Player") {
			time = activeTime;
			countdown = true;
			gogo = true;
			speed = true;
			starSprite.enabled=false;

		}
	}
	}
