﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class WalkScript : MonoBehaviour {

	public float moveSpeed;
	private Rigidbody2D rb;
	public float jump;
	public bool grounded;
	SpriteRenderer sr;
	Color old;


	void Start (){

		rb = GetComponent<Rigidbody2D>();
		sr = this.GetComponent<SpriteRenderer> ();
		old = sr.color;

	}
	void Update () {


	//	rb.velocity = constantVelocity;
		transform.Translate (new Vector2 (1, 0) * Time.deltaTime * moveSpeed);
	//	rb.velocity = constantSpeed * (rb.velocity.normalized);
	//	rb.velocity = new Vector2(moveSpeed,0);

		if(Input.GetButtonDown("Jump") && grounded == true)
			{
			rb.AddForce (new Vector2(0f, jump)); 	
		}
	}

	void OnTriggerEnter2D(Collider2D col){
	
		if (col.tag == "Ground") {
			grounded = true;
			Debug.Log ("Grounded");
		}
		if (col.tag == "Bullet") {
			GameManager.leben -= 1;
			StartCoroutine (Hit ());
		}
	}
	void OnTriggerExit2D(Collider2D col){

		if (col.tag == "Ground") {
			grounded = false;
			Debug.Log ("NotGrounded");
		}
	}
	IEnumerator Hit(){
		sr.color = new Color (1, 0, 0);
		yield return new WaitForSeconds (0.25f);
		sr.color = old;
	}
}

